﻿using Syncfusion.UI.Xaml.Controls.Navigation;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Reflection;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace SfTabControl_sample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
            tabControl.TabstripMenuItems = new List<object>();    
            tabControl.TabstripMenuItems.Add("Item1");
            tabControl.TabstripMenuItems.Add("Item2");
            tabControl.TabstripMenuItems.Add("Item3");
            tabControl.TabstripMenuItems.Add("Item4");

            tabControl.Loaded += TabControl_Loaded;
        }

        private void TabControl_Loaded(object sender, RoutedEventArgs e)
        {

            Type mdiManagerType = tabControl.GetType();
            PropertyInfo mdiClient = mdiManagerType.GetProperty("TabStripMenuButton", BindingFlags.Instance | BindingFlags.NonPublic);
            var source = mdiClient.GetValue(tabControl, null);
            RepeatButton tabStripButton = (RepeatButton)source;

            if (tabStripButton != null)
            {
                tabStripButton.Click += TabStripButton_Click;
            }
        }

        private void TabStripButton_Click(object sender, RoutedEventArgs e)
        {
            Type mdiManagerType = tabControl.GetType();
            PropertyInfo mdiClient = mdiManagerType.GetProperty("TabStripMenuList", BindingFlags.Instance | BindingFlags.NonPublic);
            var source = mdiClient.GetValue(tabControl, null);
            ListView list = (ListView)source;

            if (list != null)
            {
                list.SelectionChanged += List_SelectionChanged;
            }      
        }

        private void List_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            for(int i = 0; i < tabControl.Items.Count; i++)
            {
                ListView selectedIteminView = sender as ListView;

                if (selectedIteminView.SelectedIndex == i)
                {
                    SfTabItem item = tabControl.Items[i] as SfTabItem;
                    item.IsSelected = true;
                    item.Content = "Description about" + " " + item.Header;
                }
                else
                {
                    SfTabItem item = tabControl.Items[i] as SfTabItem;
                    item.IsSelected = false;
                }
            }
        }
    }
}
